# $Id$

package Vote::Template::Plugin::Mail;

use strict;
use warnings;

use base qw( Template::Plugin::Filter );

sub init {
    my $self = shift;
    my $name = $self->{ _ARGS }->[0] || 'mail';
    $self->install_filter($name);
    return $self;
}

sub filter {
    my ($self, $text) = @_;

    $text ||= '';

    $text =~ s/\@/ at /g;
    $text =~ s/\./ dot /g;

    $text
}

1;
